{% extends "base.html" %}
{% load l10n %}

{% block title %}Défraiements{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Défraiements</li>
{% endblock %}

{% block content %}
{% include 'alarme/facturation_tabs.html' with active='frais' %}

<div class="row mt-2">
    <div class="col">
        <form method="get" id="mois_form" class="d-flex immediate_submit unmonitor">
        {{ date_form.year }} {{ date_form.month }}
        </form>
    </div>
    <div class="col text-end">
        <form method="post" action="{% url 'defraiements-export' date_form.cleaned_data.year date_form.cleaned_data.month %}">
            {% csrf_token %}
            <button type="submit" class="btn btn-outline-primary">
                <img class="icon" src="{% static 'ficons/tsv.svg' %}"> Exporter ce mois
            </button>
        </form>
        {% if transmission_url %}
        <form method="post" action="{{ transmission_url }}">
            {% csrf_token %}
            <input type="hidden" name="service" value="alarme">
            <button type="submit" class="btn btn-outline-primary">Envoyer les notes de frais à l’ERP</button>
        </form>
        {% endif %}
    </div>
</div>

<table class="table table-hover">
    <thead class="sticky">
        <tr><th>Bénévole</th><th class="text-end">Frais</th><th class="text-end">Km</th>
            <th class="text-end">Visites</th><th class="text-end">Montant</th><!--th>Exporté</th-->
        </tr>
    </thead>
    <tbody id="filter_container">
    {% for note in object_list %}
    <tr><td><a href="{% url 'benevole-edit' 'alarme' note.benevole__id %}">{{ note.benevole__nom }} {{ note.benevole__prenom }}</a></td>
        <td class="text-end">{{ note.frais_sum|unlocalize }}</td>
        <td class="text-end">{{ note.kms }}</td>
        <td class="text-end">{{ note.num_visites }}</td>
        <td class="text-end">{{ note.montant_total|unlocalize }}</td>
        <td>
            {% if note.note_frais %}Envoyée le {{ note.note_frais.date_export|date:'d.m.Y'|default:'-' }}
            {% else %}-{% endif %}
        </td>
    </tr>
    {% endfor %}
    </tbody>
    <tbody class="table-group-divider">
    <tr class="table-light fw-bold">
        <td>Totaux</td>
        <td class="text-end">{{ totaux.frais_sum|unlocalize }}</td>
        <td class="text-end">{{ totaux.kms }}</td>
        <td class="text-end">{{ totaux.num_visites }}</td>
        <td class="text-end">{{ totaux.montant_total|unlocalize }}</td>
    </tr>
    </tbody>
</table>

{% endblock %}
